Extending Qt Creator Manual | JournaldWatcher

Extending Qt Creator Manual 4.5.2

# JournaldWatcher Class

(ProjectExplorer::JournaldWatcher)

- List of all members, including inherited members

## Public Types

typedef | LogEntry
typedef | Subscription

## Public Functions

| ~JournaldWatcher() override

## Static Public Members

JournaldWatcher * | instance()
const QByteArray & | machineId()
bool | subscribe(QObject *subscriber, const Subscription &subscription)
void | unsubscribe(QObject *subscriber)

## Member Type Documentation

### typedef JournaldWatcher::LogEntry

### typedef JournaldWatcher::Subscription

## Member Function Documentation

### JournaldWatcher::~JournaldWatcher()

Destroys the instance of JournaldWatcher.

### `[static]` JournaldWatcher *JournaldWatcher::instance()

### `[static]` const QByteArray &JournaldWatcher::machineId()

### `[static]` bool JournaldWatcher::subscribe(QObject *subscriber, const Subscription &subscription)

### `[static]` void JournaldWatcher::unsubscribe(QObject *subscriber)